TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.QueueInfo Class Reference

This class represents a message queue that is configured on the EMS server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.QueueInfo:

## Public Member Functions
| QueueInfo (string queueName)
| The public constructor creates a QueueInfo object with the given name. More...
override string | ToString ()
| Returns a String that represents the current Object. More...
Public Member Functions inherited from TIBCO.EMS.ADMIN.DestinationInfo
void | AddImportTransport (string transportName)
| Add a new import transport to the list of transports this destination imports messages from. More...
void | RemoveImportTransport (string transportName)
| Remove an import transport from the list of transports this destination imports messages from. More...
string | StatString ()
| Helper method that generates the statistical information in the form of a string. More...

## Properties
bool | Exclusive`[get, set]`
| Determine if this queue is exclusive. More...
bool | ExclusiveInherited`[get]`
| Determine if the exclusive property is inherited from a parent queue. More...
bool | Routed`[get]`
| Determine if this is a routed queue or not. More...
string | RouteName`[get]`
| Get the name of this routed queue's route. More...
bool | RouteConnected`[get]`
| Determine if the route for this queue is connected. More...
int | ReceiverCount`[get]`
| Get the number of active receivers on this queue. More...
int | MaxRedelivery`[get, set]`
| Get or set the maximum number of times the server will redeliver a given message from this queue to the queue receivers. More...
bool | MaxRedeliveryInherited`[get]`
| Determine if the maxRedelivery property was inheritied from a parent queue or set directly for this queue. More...
long | DeliveredMessageCount`[get]`
| Get the total number of messages that have been delivered to consumer applications but have not yet been acknowledged. More...
long | InTransitMessageCount`[get]`
| Get the total number of messages that have been delivered to the queue owner but have not yet been acknowledged. More...
Properties inherited from TIBCO.EMS.ADMIN.DestinationInfo
string[] | JNDINames`[get]`
| Get the array of JNDI names for this destination. More...
string | Name`[get]`
| Get the name of this destination. More...
string | Description`[get, set]`
| Get or set the description of this destination. More...
bool | Failsafe`[get, set]`
| Get or set the failsafe property of this destination. More...
bool | FailsafeInherited`[get]`
| Determine if the failsafe property was inherited from a parent destination or set directly for this destination. More...
bool | Secure`[get, set]`
| Get or set the secure property of this destination. More...
bool | SecureInherited`[get]`
| Determine if the secure property was inherited from a parent destination or set directly for this destination. More...
bool | Global`[get, set]`
| Get or set the global property of this destination. More...
bool | GlobalInherited`[get]`
| Determine if the global property was inherited from a parent destination or set directly for this destination. More...
int | Prefetch`[get, set]`
| Get or set the number of messages prefetched by the EMS client from the server to improve efficiency. More...
bool | PrefetchInherited`[get]`
| Determine if the prefetch setting for this queue is inherited from a parent queue. More...
string[] | ImportTransports`[get]`
| Get the names of the transports that this destination imports messages from. More...
BridgeTarget[] | BridgeTargets`[get]`
| Get the target destinations that this destination bridges to. More...
bool | SenderName`[get, set]`
| Get or set sender_name property for this destination. More...
bool | SenderNameInherited`[get]`
| Indicates whether or not the sender_name property is inherited. More...
bool | SenderNameEnforced`[get, set]`
| Get or set sender_name_enforced property. More...
bool | SenderNameEnforcedInherited`[get]`
| Indicates whether or not the sender_name_enforced is inherited. More...
long | MaxBytes`[get, set]`
| Get or set the maximum number of message bytes that the server will store for pending messages bound for this destination. More...
bool | MaxBytesInherited`[get]`
| Determine if the maxBytes property was inherited from a parent destination or set directly for this destination. More...
long | MaxMsgs`[get, set]`
| Get or set the maximum number of messages that the server will store for pending messages bound for this destination. More...
bool | MaxMsgsInherited`[get]`
| Determine if the maxMsgs property was inherited from a parent destination or set directly for this destination. More...
OverflowPolicyType | OverflowPolicy`[get, set]`
| Get or set the overflow policy for this destination. More...
bool | OverflowPolicyInherited`[get]`
| Determine if the overflowPolicy property was inherited from a parent destination or set directly for this destination. More...
byte | MsgTrace`[get, set]`
| Get or set the level of message tracing for this destination. More...
bool | MsgTraceInherited`[get]`
| Determine if the message trace property was inherited from a parent destination or set directly for this destination. More...
long | FlowControlMaxBytes`[get, set]`
| Get or set the volume of pending messages (in bytes) at which flow control is enabled for this destination. More...
bool | FlowControlMaxBytesInherited`[get]`
| Determine if the flowControlMaxBytes property was inherited from a parent destination or set directly for this destination. More...
bool | Static`[get]`
| Determine if this destination is static. More...
bool | Temporary`[get]`
| Determine if this destination is temporary. More...
long | ConnectionID`[get]`
| Get a temporary destination's connection ID. More...
long | PendingMessageCount`[get]`
| Get the total number of pending messages for this destination. More...
long | PendingMessageSize`[get]`
| Get the total size for all pending messages for this destination. More...
long | PendingPersistentMessageCount`[get]`
| Get the total number of pending messages for this destination that were sent persistently. More...
long | PendingPersistentMessageSize`[get]`
| Get the total size for all pending messages for this destination that were sent persistently. More...
int | ConsumerCount`[get]`
| Get the number of consumers for this destination. More...
StatData | InboundStatistics`[get]`
| Get inbound statistics for this destination. More...
StatData | OutboundStatistics`[get]`
| Get outbound statistics for this destination. More...
long | ExpiryOverride`[get, set]`
| Get or set the expiry override for this destination. More...
bool | ExpiryOverrideInherited`[get]`
| Determine if the expiry override property was inherited from a parent destination or set directly for this destination. More...
long | RedeliveryDelay`[get, set]`
| Get or set the redelivery delay for this queue. More...
bool | RedeliveryDelayInherited`[get]`
| Determine if the redelivery delay property was inherited from a parent queue or set directly for this queue. More...
string | Store`[get, set]`
| Set or Get the store of this destination. More...
bool | StoreInherited`[get]`
| Determine if the store property was inherited from a parent destination or set directly for this destination. More...
bool | ImportTransportsInherited`[get]`
| Determines if the list of transports this destination imports messages from was inherited from a parent destination or whether it was set on the destination directly. More...
bool | BridgeTargetsInherited`[get]`
| Determines if the list of targets was inherited from a parent destination or whether it was set on the destination directly. More...

## Additional Inherited Members
Public Attributes inherited from TIBCO.EMS.ADMIN.DestinationInfo
const int | PREFETCH_NONE = - 1
| Indicates no messages will be prefetched into the EMS client. More...
const int | PREFETCH_DEFAULT = 0
| Indicates that the default number of messages will be prefetched into the EMS client. More...
const byte | MSG_TRACE_NONE = (byte) (0x00)
| Indicates that messages will not be traced. More...
const byte | MSG_TRACE_BASIC = (byte) (0x01)
| Indicates that message sequence number and message ID will be traced. More...
const byte | MSG_TRACE_DETAIL = (byte) (0x03)
| Indicates that the message body will be traced in addition to the message sequnce number and message ID, . More...

## Detailed Description

This class represents a message queue that is configured on the EMS server.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.QueueInfo.QueueInfo | ( | string | queueName | ) |
| inline

The public constructor creates a QueueInfo object with the given name.

The queue is not created on the server until the object is passed to Admin.CreateQueue().

Parameters

  queueName | the name for the queue being created.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.QueueInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object.

## Property Documentation

long TIBCO.EMS.ADMIN.QueueInfo.DeliveredMessageCount
| get

Get the total number of messages that have been delivered to consumer applications but have not yet been acknowledged.

Returns
  the total number of delivered messages for this queue.

bool TIBCO.EMS.ADMIN.QueueInfo.Exclusive
| get set

Determine if this queue is exclusive.

Returns
  true if this queue has the exclusive property set.

Set the exclusive property for this queue.

bool TIBCO.EMS.ADMIN.QueueInfo.ExclusiveInherited
| get

Determine if the exclusive property is inherited from a parent queue.

Returns
  true if the exclusive property is inherited from a parent queue.

long TIBCO.EMS.ADMIN.QueueInfo.InTransitMessageCount
| get

Get the total number of messages that have been delivered to the queue owner but have not yet been acknowledged.

Returns
  the total number of in transit messages for this queue.

int TIBCO.EMS.ADMIN.QueueInfo.MaxRedelivery
| get set

Get or set the maximum number of times the server will redeliver a given message from this queue to the queue receivers.

Returns
  the maximum number of times a message will be redelivered.

A return value of zero indicates that the server will continue to deliver a message to the receivers until either the message is consumed or, if the message has a finite time to live, the message expires.

bool TIBCO.EMS.ADMIN.QueueInfo.MaxRedeliveryInherited
| get

Determine if the maxRedelivery property was inheritied from a parent queue or set directly for this queue.

Returns
  true if the maxRedelivery property was inherited.

int TIBCO.EMS.ADMIN.QueueInfo.ReceiverCount
| get

Get the number of active receivers on this queue.

Returns
  the number of active receivers on this queue.

bool TIBCO.EMS.ADMIN.QueueInfo.RouteConnected
| get

Determine if the route for this queue is connected.

Returns
  true if the route for this queue is connected.

bool TIBCO.EMS.ADMIN.QueueInfo.Routed
| get

Determine if this is a routed queue or not.

Returns
  true if the queue is routed.

string TIBCO.EMS.ADMIN.QueueInfo.RouteName
| get

Get the name of this routed queue's route.

Returns
  the route name or null if the queue is not routed